<?php

namespace Modules\Pp\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class Order extends Model
{
    protected $table = 'pp_orders';
    protected $primaryKey = 'order_id';
    public $incrementing = false;
    protected $keyType = 'string';
    use HasFactory,LogsActivity;
    protected static $logAttributes = [
        'order_id',
        'customer_name',
        'purchase_order',
        'bill_address',
        'delivery_address',
        'cosignee_details',
        'party_details',
        'delivery_date',
        'quantity_pieces',
        'product_code',
        'product_dimensions',
        'shipping_term_id',
        'product_mix_id',
        'washed_level_id',
        'naked_plank',
        'slap_upside_down',
        'drain_holes',
        'dripper_holes',
        'plant_hole_size_id',
        'if_10_15_standing',
        'if_10_15_lying',
        'name_fill',
        'date',
        'status',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "pp_orders";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
}
